package com.goldenwater.slaj.hidd.service;

import java.util.List;
import com.goldenwater.slaj.hidd.domain.TBusiHiddThrEva;

/**
 * 隐患威胁安全评估统计 服务层
 */
public interface ITBusiHiddThrEvaService {

    /**
     * 查询隐患威胁安全评估统计信息
     * @param id 查询条件
     * @return 隐患威胁安全评估统计信息
     */
    TBusiHiddThrEva selectTBusiHiddThrEvaById(Long id);

    /**
     * 查询隐患威胁安全评估统计列表
     * @param tBusiHiddThrEva 隐患威胁安全评估统计查询条件
     * @return 隐患威胁安全评估统计集合
     */
    List<TBusiHiddThrEva> selectTBusiHiddThrEvaList(TBusiHiddThrEva tBusiHiddThrEva);

    /**
     * 新增隐患威胁安全评估统计
     * @param tBusiHiddThrEva 隐患威胁安全评估统计信息
     * @return 影响行数
     */
    int insertTBusiHiddThrEva(TBusiHiddThrEva tBusiHiddThrEva);

    /**
     * 修改隐患威胁安全评估统计
     * @param tBusiHiddThrEva 隐患威胁安全评估统计信息
     * @return 影响行数
     */
    int updateTBusiHiddThrEva(TBusiHiddThrEva tBusiHiddThrEva);

    /**
     * 删除隐患威胁安全评估统计
     * @param id 隐患威胁安全评估统计主键
     * @return 影响行数
     */
    int deleteTBusiHiddThrEvaById(Long id);

    /**
     * 批量删除隐患威胁安全评估统计
     * @param ids 隐患威胁安全评估统计主键数组
     * @return 影响行数
     */
    int deleteTBusiHiddThrEvaByIds(Long[] ids);
}
